Skip to main content
GET
/
virtual-accounts
/
admin
/
registry
Account registry (admin)
curl --request GET \
  --url https://prod-api.pcxpay.com/v1/virtual-accounts/admin/registry \
  --header 'Authorization: <authorization>' \
  --header 'X-Api-Key: <x-api-key>'
"<unknown>"

Headers

Authorization
string
default:NONE
required

Bearer JWT for user-facing flows (Bearer eyJraWQ...), or the literal string NONE when authenticating via API key.

Example:

"Bearer eyJraWQ..."

X-Api-Key
string
default:NONE
required

API key for server-to-server flows, or the literal string NONE when authenticating via JWT.

Example:

"pcx_abc123_xxxx"

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: 1 <= x <= 100
last_evaluated_key
string

DynamoDB pagination cursor from the previous response. Pass the value of meta.last_evaluated_key to fetch the next page.

org_id
string
currency
string
status
enum<string>
Available options:
active,
inactive,
suspended
Example:

"active"

Response

Paginated admin account registry

The response is of type any.